cloudstack-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carlos Reátegui <create...@gmail.com>
Subject Re: 4.4 upgrade issues
Date Mon, 30 Jun 2014 16:54:31 GMT
Hi Sudha,
Thanks for checking in.  I was out for the weekend and just getting back to this now.

My main question at this point is if it is ok for me to kill the system vms with the xe vm-shutdown
command since the script provided by cloudstack does not work with ubuntu.

Also it would be great if someone could have a look at my logs to see if they look normal.
I am seeing a lot of HA-Worker messages but I do not have an HA deployment (unless this is
the thread that keeps the system vas running).

thanks,
Carlos



On Jun 29, 2014, at 11:51 PM, Sudha Ponnaganti <sudha.ponnaganti@citrix.com> wrote:

> Hi Carlos,
> 
> Were you able to resolve the following? Was your upgrade successful?
> 
> Thanks
> /sudha
> 
> -----Original Message-----
> From: Carlos Reátegui [mailto:creategui@gmail.com] 
> Sent: Friday, June 27, 2014 8:55 PM
> To: CloudStack-Users
> Cc: dev@cloudstack.apache.org
> Subject: 4.4 upgrade issues
> 
> I am trying out the upgrade instructions from http://docs.cloudstack.apache.org/projects/cloudstack-release-notes/en/4.3/rnotes.html#upgrade-from-4-1-x-to-4-3
but going to 4.4 built from source today.
> 
> My setup: XenServer 6.0.2 Hosts, Management Server on Ubuntu 12.04, Primary and Secondary
on NFS, Basic Network, no security groups
> 
> -----
> Notes on the docs:
> 
> 8.4 - 8.6: This is only for hosts that use the cloudstack agent. Does not apply to KVM.
In general this whole section does not do a good job of explaining what is on the MS vs the
Hosts.
> 
> 13: This fails on ubuntu because: cloudstack-sysvmadm sources /etc/rc.d/init.d/functions
which does not exist on ubuntu/debian systems.
> 
> 14: Copy vhf-util from where? Also the path /usr/share/cloudstack-common/scripts/vm/hypervisor/xenserver
does not exist on the hosts so I am assuming this is on the MS, however the MS already has
it since it is an upgrade and was put there by the original install.  Or is this a new version
that needs to be grabbed from somewhere?
> 
> Other: earlier versions like 4.1 worked with JDK 1.6 current releases require 1.7 but
the Upgrade doc does not mention that.
> 
> --
> Issues:
> 
> Saw the following in catalina.out, not sure if it is an issues:
> Jun 27, 2014 5:28:42 PM org.apache.catalina.loader.WebappClassLoader validateJarFile
> INFO: validateJarFile(/usr/share/cloudstack-management/webapps/client/WEB-INF/lib/servlet-api-2.5-20081211.jar)
- jar not loaded. See Servlet Spec 2.3, section 9.7.2. Offending class: javax/servlet/Servlet.class
Jun 27, 2014 5:28:42 PM org.apache.catalina.loader.WebappClassLoader validateJarFile
> INFO: validateJarFile(/usr/share/cloudstack-management/webapps/client/WEB-INF/lib/tomcat-embed-core-7.0.30.jar)
- jar not loaded. See Servlet Spec 2.3, section 9.7.2. Offending class: javax/servlet/Servlet.class
> 
> Since the above script in step 13 did not work is it ok to do "xe vm-shutdown vm=." on
each of the system vms?  Will CloudStack notice they are ton and start new ones?
> 
> Here are my log files (please note I stopped the service prior to capturing these logs
in case you are wondering):
> Management server log: https://www.dropbox.com/s/7xhkutt8e724il1/management-server.log
> Catalina log: https://www.dropbox.com/s/f45ypkbazhkogyj/catalina.2014-06-27.log
> 
> 
> 
> 


Mime
View raw message